Cabal-1.22.5.0: A framework for packaging Haskell software

Copyright | Thomas Tuegel 2010
License | BSD3
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | None
Language | Haskell98

Distribution.Simple.Test

Description

This is the entry point into testing a built package. It performs the "`./setup test`" action. It runs test suites designated in the package description and reports on the results.

Synopsis

- test :: Args -> PackageDescription -> LocalBuildInfo -> TestFlags -> IO ()

# Documentation

test

Arguments

:: Args | positional command-line arguments
-> PackageDescription | information from the .cabal file
-> LocalBuildInfo | information from the configure step
-> TestFlags | flags sent to test
-> IO () |

Perform the "`./setup test`" action.